Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.borg.model.entity
Class Project

    java.lang.Object
      net.sf.borg.model.entity.KeyedEntity<Project>
          net.sf.borg.model.entity.Project

All Implemented Interfaces:
  Serializable, CalendarEntity

    public class Project

extends KeyedEntity<Project>
implements CalendarEntity

Project Entity - a project contains tasks and can have child projects

See Also:
  Serialized Form

Constructor Summary
`Project()`

Method Summary
`protected Project` | `clone()`
`String` | `getCategory()` Gets the category.
`String` | `getColor()` Gets the color.
`Date` | `getDate()` Gets the date.
`String` | `getDescription()` Gets the description.
`Date` | `getDueDate()` Gets the due date.
`Integer` | `getDuration()` Gets the duration.
`Date` | `getNextTodo()` Gets the next todo date.
`Integer` | `getParent()` Gets the parent.
`Date` | `getStartDate()` Gets the start date.
`String` | `getStatus()` Gets the status.
`String` | `getText()` Gets the text.
`boolean` | `getTodo()` Gets the todo flag.
`void` | `setCategory(String xx)` Sets the category.
`void` | `setDescription(String xx)` Sets the description.
`void` | `setDueDate(Date xx)` Sets the due date.
`void` | `setParent(Integer parent)` Sets the parent.
`void` | `setStartDate(Date xx)` Sets the start date.
`void` | `setStatus(String xx)` Sets the status.

Methods inherited from class net.sf.borg.model.entity.KeyedEntity
`copy, getKey, setKey`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Project

    public Project()

Method Detail

### getStartDate

    public Date getStartDate()

  Gets the start date.

  Returns:
    the start date

### setStartDate

    public void setStartDate(Date xx)

  Sets the start date.

  Parameters:
    `xx` - the new start date

### getDueDate

    public Date getDueDate()

  Gets the due date.

  Returns:
    the due date

### setDueDate

    public void setDueDate(Date xx)

  Sets the due date.

  Parameters:
    `xx` - the new due date

### getDescription

    public String getDescription()

  Gets the description.

  Returns:
    the description

### setDescription

    public void setDescription(String xx)

  Sets the description.

  Parameters:
    `xx` - the new description

### getCategory

    public String getCategory()

  Gets the category.

  Returns:
    the category

### setCategory

    public void setCategory(String xx)

  Sets the category.

  Parameters:
    `xx` - the new category

### getStatus

    public String getStatus()

  Gets the status.

  Returns:
    the status

### setStatus

    public void setStatus(String xx)

  Sets the status.

  Parameters:
    `xx` - the new status

### getParent

    public Integer getParent()

  Gets the parent.

  Returns:
    the parent

### setParent

    public void setParent(Integer parent)

  Sets the parent.

  Parameters:
    `parent` - the new parent

### clone

    protected Project clone()

  Overrides:
    `clone` in class `KeyedEntity<Project>`

### getColor

    public String getColor()

  Description copied from interface: `CalendarEntity`
  Gets the color.

  Specified by:
    `getColor` in interface `CalendarEntity`
  Returns:
    the color

### getDuration

    public Integer getDuration()

  Description copied from interface: `CalendarEntity`
  Gets the duration.

  Specified by:
    `getDuration` in interface `CalendarEntity`
  Returns:
    the duration

### getDate

    public Date getDate()

  Description copied from interface: `CalendarEntity`
  Gets the date.

  Specified by:
    `getDate` in interface `CalendarEntity`
  Returns:
    the date

### getTodo

    public boolean getTodo()

  Description copied from interface: `CalendarEntity`
  Gets the todo flag.

  Specified by:
    `getTodo` in interface `CalendarEntity`
  Returns:
    the todo flag

### getNextTodo

    public Date getNextTodo()

  Description copied from interface: `CalendarEntity`
  Gets the next todo date.

  Specified by:
    `getNextTodo` in interface `CalendarEntity`
  Returns:
    the next todo date

### getText

    public String getText()

  Description copied from interface: `CalendarEntity`
  Gets the text.

  Specified by:
    `getText` in interface `CalendarEntity`
  Returns:
    the text

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Generated September 24 2010 by mbb using Apache Ant version 1.7.1 compiled on June 27 2008 and Java version 1.6.0_20 from Sun Microsystems Inc. on Linux i386 2.6.24-28-generic